Package org.eclipse.lemminx.extensions.xsd.xmlmodel

## Class XMLModelSchemaValidator

- java.lang.Object
- - org.apache.xerces.impl.xs.XMLSchemaValidator
  - - org.eclipse.lemminx.extensions.xsd.xmlmodel.XMLModelSchemaValidator

All Implemented Interfaces:
  `org.apache.xerces.impl.RevalidationHandler`, `org.apache.xerces.impl.xs.identity.FieldActivator`, `org.apache.xerces.impl.xs.XSElementDeclHelper`, `org.apache.xerces.xni.parser.XMLComponent`, `org.apache.xerces.xni.parser.XMLDocumentFilter`, `org.apache.xerces.xni.parser.XMLDocumentSource`, `org.apache.xerces.xni.XMLDocumentHandler`, `XMLModelValidator`

    public class XMLModelSchemaValidator
    extends org.apache.xerces.impl.xs.XMLSchemaValidator
    implements XMLModelValidator

XML model validator which process validation with XML Schema:

            <?xml-model href="http://www.docbook.org/xml/5.0/xsd/docbook.xsd"?>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator

`org.apache.xerces.impl.xs.XMLSchemaValidator.KeyRefValueStore, org.apache.xerces.impl.xs.XMLSchemaValidator.KeyValueStore, org.apache.xerces.impl.xs.XMLSchemaValidator.LocalIDKey, org.apache.xerces.impl.xs.XMLSchemaValidator.ShortVector, org.apache.xerces.impl.xs.XMLSchemaValidator.UniqueValueStore, org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase, org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreCache, org.apache.xerces.impl.xs.XMLSchemaValidator.XPathMatcherStack, org.apache.xerces.impl.xs.XMLSchemaValidator.XSIErrorReporter`

### Field Summary

### Fields inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator

`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DYNAMIC_VALIDATION, ENTITY_MANAGER, ENTITY_RESOLVER, ERROR_REPORTER, fAugmentations, fAugPSVI, fCurrentPSVI, fDefaultValue, fDocumentHandler, fDocumentSource, fDoValidation, fDynamicValidation, fEntityRef, fEntityResolver, fExpandedLocationPairs, fExternalNoNamespaceSchema, fExternalSchemas, fFullChecking, fGrammarPool, fIdConstraint, fInCDATA, fJaxpSchemaSource, fLocationPairs, fMatcherStack, fNamespaceGrowth, fNormalizeData, fSchemaDynamicValidation, fSchemaElementDefault, fSymbolTable, fUnparsedLocations, fUseGrammarPoolOnly, fValidationManager, fValidationState, fValueStoreCache, fXSDDescription, fXSIErrorReporter, GENERATE_SYNTHETIC_ANNOTATIONS, HONOUR_ALL_SCHEMALOCATIONS, ID_CONSTRAINT_NUM, ID_IDREF_CHECKING, IDENTITY_CONSTRAINT_CHECKING, IGNORE_XSI_TYPE, JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, NAMESPACE_GROWTH, NORMALIZE_DATA, PARSER_SETTINGS, ROOT_ELEMENT_DECL, ROOT_TYPE_DEF, SCHEMA_AUGMENT_PSVI, SCHEMA_DV_FACTORY, SCHEMA_ELEMENT_DEFAULT, SCHEMA_FULL_CHECKING, SCHEMA_LOCATION, SCHEMA_NONS_LOCATION, SCHEMA_VALIDATION, STANDARD_URI_CONFORMANT_FEATURE, SYMBOL_TABLE, TOLERATE_DUPLICATES, UNPARSED_ENTITY_CHECKING, USE_GRAMMAR_POOL_ONLY, VALIDATE_ANNOTATIONS, VALIDATION, VALIDATION_MANAGER, XMLGRAMMAR_POOL`

### Constructor Summary

Constructors
`XMLModelSchemaValidator​(String href)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `reset​(org.apache.xerces.xni.parser.XMLComponentManager componentManager)`
`void` `setLocator​(org.apache.xerces.xni.XMLLocator locator)`
`void` `setXMLReader​(XMLReader documentHandler)`
`void` `startElement​(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)`

### Methods inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator

`activateField, characterData, characters, comment, doctypeDecl, elementDefault, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, endValueScopeFor, getDocumentHandler, getDocumentSource, getFeatureDefault, getGlobalElementDecl, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, ignorableWhitespace, processingInstruction, setDocumentHandler, setDocumentSource, setFeature, setProperty, startCDATA, startDocument, startGeneralEntity, startValueScopeFor, textDecl, xmlDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLComponent

`getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, setFeature, setProperty`

### Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler

`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startGeneralEntity, textDecl, xmlDecl`

### Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource

`getDocumentHandler, setDocumentHandler`

### Constructor Detail

#### XMLModelSchemaValidator

    public XMLModelSchemaValidator​(String href)

### Method Detail

#### reset

    public void reset​(org.apache.xerces.xni.parser.XMLComponentManager componentManager)
               throws org.apache.xerces.xni.parser.XMLConfigurationException

Specified by:
  `reset` in interface `org.apache.xerces.xni.parser.XMLComponent`
Overrides:
  `reset` in class `org.apache.xerces.impl.xs.XMLSchemaValidator`
Throws:
  `org.apache.xerces.xni.parser.XMLConfigurationException`

#### setLocator

    public void setLocator​(org.apache.xerces.xni.XMLLocator locator)

Specified by:
  `setLocator` in interface `XMLModelValidator`

#### startElement

    public void startElement​(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

Specified by:
  `startElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Overrides:
  `startElement` in class `org.apache.xerces.impl.xs.XMLSchemaValidator`
Throws:
  `org.apache.xerces.xni.XNIException`

#### setXMLReader

    public void setXMLReader​(XMLReader documentHandler)

Specified by:
  `setXMLReader` in interface `XMLModelValidator`